Page MenuHomePhabricator

Updating www.wikinews.org portal (2020-09-06)
Closed, ResolvedPublic

Description

Please update the Wikinews portal (www.wikinews.org) according to statistics:

  • Update articles count for all Wikinews editions[1].
  • Create a new section “100,000+” and move “ru.wikinews.org” from the “10,000+” section to there[1].
  • Move the Russian edition (Русский; ru.wikinews.org) to the first line in the list around the logo at the top of the page[1][2][3].

[1] Articles: https://meta.wikimedia.org/wiki/Wikinews

[2] Total page views:
Russian: https://stats.wikimedia.org/#/ru.wikinews.org/reading/total-page-views/normal|table|2-year|~total|monthly
English: https://stats.wikimedia.org/#/en.wikinews.org/reading/total-page-views/normal|table|2-year|~total|monthly

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2020, 9:11 AM

https://meta.wikimedia.org/?diff=20424895 should do it. Project portal updates are run once a week, usually on Mondays by @Jdrewniak. If the Meta template has the right info, you'll see it updated tomorrow morning US time.

It'll look like this:

@MarcoAurelio Maybe I don't understand your message, but the changes I described before are not included in this diff.

@MarcoAurelio Maybe I don't understand your message, but the changes I described before are not included in this diff.

Oh, sorry. Indeed the 100,000+ section does not exist as you asked. This requires modifying the HTML code of the template so I guess Discovery / Wikimedia-Portals need to get involved here.

Base added a subscriber: Base.Sep 6 2020, 11:21 PM
ssr added a subscriber: ssr.Sep 7 2020, 10:49 AM
Kaganer added a subscriber: Kaganer.Sep 9 2020, 3:33 PM
Kaganer added a comment.EditedSep 9 2020, 4:10 PM

HTML template is updated. See screenshot:

HTML template is updated. See screenshot:

Thank you! But Russian should be on the left of "globe" according to statistics (first string in template).

I've updated the views.json data with the newest data: https://meta.wikimedia.org/?diff=prev&oldid=20442480

Should be fixed:

@MarcoAurelio Everything is great now. Thank you!

Kaganer added a comment.EditedSep 14 2020, 1:56 PM

I'm sorry for my small mistake (Russian was duplicated in 10k+ and 100k+ sections)!
This is currently improved, please update portal again!

Kaganer reopened this task as Open.Sep 14 2020, 1:59 PM

I don't think they'll update the portals until next Monday. If the Meta-Wiki HTML pages are up-to-date then it'll be fixed on next Monday unless the team wants to do an early deploy/update.

Nintendofan885 closed this task as Resolved.Sep 21 2020, 1:59 PM
Nintendofan885 claimed this task.
Nintendofan885 added a subscriber: Nintendofan885.

It's now not in the 10k section